FROM ros:melodic

WORKDIR /catkin_ws
RUN apt-get update && apt-get install -y python-pip
RUN mkdir -p /catkin_ws/src 

COPY rover-ctl /catkin_ws/src/rover-ctl

RUN pip install -r src/rover-ctl/requirements.txt
RUN . /opt/ros/melodic/setup.sh && catkin_make && . /catkin_ws/devel/setup.sh
